## hex-a-hop 0.0.20070315

=== Makefile ===
# Makefile for Hex-a-hop, Copyright Oliver Pearce 2004
NAME		= Hex-a-hop
VERSION		= 1.0.0
CC		= gcc
CXXFLAGS		+= -D_VERSION=\"$(VERSION)\" -g
GCC =g++
CXXSOURCES	= gfx.cpp hex_puzzzle.cpp
#INCLUDES	= 


#############################################################

OBJS=$(CXXSOURCES:.cpp=.o)

%.o	: %.cpp
	$(GCC) $(CXXFLAGS)  `sdl-config --cflags`  -c -o $@ $<
	
$(NAME) : $(OBJS)
		$(GCC) $(CXXFLAGS) $(OBJS)  `sdl-config --libs` -lm  \
		-o $(NAME)

clean :
	rm -f *~ $(OBJS) $(NAME)

## hex-a-hop 0.0.20070315-6maemo1

=== Makefile ===
# Makefile for Hex-a-hop, Copyright Oliver Pearce 2004
NAME		= Hex-a-hop
VERSION		= 1.0.0
CC		= gcc
DATA_DIR="."
CXXFLAGS		+= -Wall -W -g
GCC =g++
CXXSOURCES	= gfx.cpp hex_puzzzle.cpp i18n.cpp
#INCLUDES	= 


#############################################################

OBJS=$(CXXSOURCES:.cpp=.o)

%.o	: %.cpp
	$(GCC) $(CXXFLAGS) -D_VERSION=\"$(VERSION)\" -DDATA_DIR=\"$(DATA_DIR)\" `sdl-config --cflags`  -c -o $@ $<
	
$(NAME) : $(OBJS)
		$(GCC) $(CXXFLAGS) $(OBJS)  `sdl-config --libs` -lSDL_Pango -lm  \
		-o $(NAME)

clean :
	rm -f *~ $(OBJS) $(NAME)

=== debian/changelog ===
hex-a-hop (0.0.20070315-6maemo1) unstable; urgency=low

  * Applying debian patches except SDL one.  

  * Applying patch by pipeline.

  * Build for maemo.

  * Added pngs, improve .desktop files for maemo.

  * Show the game in the taskbar in maemo.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 15 Jul 2008 14:30:00 +0200

hex-a-hop (0.0.20070315-6) unstable; urgency=low

  [Jens Seidel]
  * Minor update of Polish translation. Thanks to Piotr Engelking
    <inkerman42@gmail.com>.
  * Fixed another big endian error for "par" value. Closes: #442183
  * Added (partial) Japanese translation. Thanks to Kobayashi
    Noritada <nori1@dolphin.c.u-tokyo.ac.jp>. Closes: #443118
  * Added hints.html which gives tips how to solve some levels.
  * Fix compilation error on the Hurd where PATH_MAX is not defined.
  * A string was not translatable. Thanks to Piotr Engelking
    <inkerman42@gmail.com> for the patch. Closes: #443193
  * Added support for wheel mouse in help dialog. Thanks again
    Piotr. Closes: #443194
  * Fixed a build error on m68k because of a wrong alignment test.
    Closes: #442854
  * Allow right aligned text in the help dialog for some languages
    such as Japanese.

 -- Jens Seidel <jensseidel@users.sf.net>  Thu, 20 Sep 2007 00:30:00 +0200

hex-a-hop (0.0.20070315-5) unstable; urgency=low

  [Jens Seidel]
  * Fixed a few errors in the code found with valgrind.
  * Reduced the CPU load a little bit. Thanks to Joey Hess
    <joeyh@debian.org> for the patch. Closes: #440377
    There is more to do to get it properly fixed.
  * Code is now big endian clean. Closes: #438857
  * Use an ordinary (ASCII) dash instead of a UTF-8
    encoded one in the Vietnamese translation which is
    invalid in the generated man page.
  * Moved Vietnamese and Bulgarian man page into
    {bg,vi}.UTF-8/ which will be supported in man-db
    version 2.5.0 in the near future. See: #440420
  * Added Tamil translation. Thanks to Tirumurti
    Vasudevan <agnihot3@gmail.com>. Closes: #441040
  * Added a lintian override for UTF-8 manpages.
  * Minor typo and whitespace fixes in Polish translation.
  * Changed priority from extra to optional as suggested by
    Bas Wijnen <wijnen@debian.org>.
  * Explicitely refer to GPL-2 and GPL-3 in copyright. Added
    myself too.

 -- Jens Seidel <jensseidel@users.sf.net>  Mon, 10 Sep 2007 22:30:00 +0200

hex-a-hop (0.0.20070315-4) unstable; urgency=low

  [Jens Seidel]
  * Added Vietnamese translation. Thanks to Clytie Siddall
    <clytie@riverland.net.au>. Closes: #438453
  * Added Russian translation. Thanks to Yuri Kozlov
    <kozlov.y@gmail.com>. Closes: #438799
  * Added Dutch translation. Thanks to Bas Wijnen
    <shevek@fmf.nl>. Closes: #438726
  * Added Bulgarian translation. Thanks to Damyan Ivanov
    <dmn@debian.org>. Closes: #439047
  * Added Polish translation and applied a minor i18n fix.
    Thanks to Piotr Engelking <inkerman42@gmail.com>.
    Closes: #439819
  * Use new font also for help dialog title.
  * Font handling is now independent of language. The text
    is now always wrapped if necessary.
  * Most dialog sizes are now properly respected.
  * Avoid segmentation fault on 64 bit systems on start by
    using a workaround for #439071. Closes: #438800
  * Old font code removed. Compare: #438857
  * Use a workaround for bug #439855 of SDL Pango.
    Closes: #439393
  * Increased a few short arrays containing translated
    strings. Especially 40 bytes for optionSlotName are too
    short for Russian and Bulgarian (in UTF-8 encoding).
    This should be responsible for the bogus menu entries
    in the screenshot to #438800.
  * Create manpage translation from PO file using po4a.
    Thanks to Helge Kreutzmann <debian@helgefjell.de>.
    Closes: #438676.
  * Build stops now on first error processing translations.
    Thanks to Helge for the suggestion.
  * Added some useful translator comments. Thanks again Helge.
  * Fixed two lintian warnings (proper usage of hyphens in
    manpage, removed "Encoding" line in desktop file).
  * Fixed a superfluous space in a level name. Thanks to
    Piotr Engelking <inkerman42@gmail.com>. Closes: #439289.
  * Use a bold font as suggested by Piotr Engelking
    <inkerman42@gmail.com> to increase readability.
    Closes: #439290.
  * Fixed an error in one of the applied patches and allow
    displaying of end credits. Thanks to Piotr Engelking
    <inkerman42@gmail.com>. Closes: #439291.
  * Added Homepage field to source control file.

  [Miriam Ruiz]
  * Updated Spanish Translation. Thanks quique.

 -- Jens Seidel <jensseidel@users.sf.net>  Wed, 29 Aug 2007 00:01:00 +0200

hex-a-hop (0.0.20070315-3) unstable; urgency=low

  [Miriam Ruiz]
  * Do not unnecessarily initialize cdrom subsystem. Thanks to
    Piotr Engelking <inkerman42@gmail.com>. Closes: #436008
  * Added tools to convert files from/to bmp and dat formats.

  [Jens Seidel]
  * Refined debian/i18n/Makefile to workaround an xgettext
    limitation, to ship a POT file and to update PO files.
    Closes: #437338
  * Added German translation. Thanks to Helge Kreutzmann
    <debian@helgefjell.de>. Closes: #437438
  * Fixed some typos. Thanks to Helge Kreutzmann
    <debian@helgefjell.de>. Closes: #437440, #437439
  * Fixed all compiler warnings and use e.g. -Wall -Wextra
    default. Closes: #437313
  * Use the SDLPango library for font handling. This is a first
    draft and behaves differently for English and translations.
    Closes: #436469.
  * debian/control:
    + Added myself to the uploader list.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed,  8 Aug 2007 16:34:41 +0200

hex-a-hop (0.0.20070315-2) unstable; urgency=low

  [Miriam Ruiz]
  * Fixed man page. Thanks to Helge Kreutzmann <debian@helgefjell.de>
    Closes: #436038
  * Added support for i18n via gettext. Closes: #436040
  * Take word size and endianess into account when reading the size of
    the .dat file. Closes: #434741

  [ Sam Hocevar ]
  * patch-hex-a-hop-better-than-par.diff:


=== debian/control ===
Source: hex-a-hop
Section: user/games
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com> 
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Jens Seidel <jensseidel@users.sf.net>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev
Standards-Version: 3.7.2
Homepage: http://www.aceinternet.co.uk/~mokona/
XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/hex-a-hop/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/hex-a-hop/?op=log

Package: hex-a-hop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: puzzle game based on hexagonal tiles
 Hex-a-hop is a great puzzle game in which a girl has to break all the green
 tiles in an hexagonal map without getting trapped. There is no time limit and
 no real-time element.
 .
 The objective is simply to destroy all the green hexagonal tiles on each of
 the 100 levels. As you progress through the game, more types of tiles are
 introduced which make things more difficult and interesting.
 .
  Homepage: http://www.aceinternet.co.uk/~mokona/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gHDhIdHeOO6BoAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAG/UlEQVRIx52Va3CU1RnH/+e8573sbvaWZDfmQrJAgAACJqGA
 Qk3GEaJcrE4GKaYtFNppZ1TaGfyitB3GsZ3OdDrOdDpjUSvWQDsZcaxMS6FG
 a2UQgZSAUEIScg8bdrOb3ey+u/veTz+oDDFpp/r/+JzznN9zO+egpe0IWtqO
 4P9VS9ufAAAL73mYFNc3Nnvva3zBt65hX7Du7tBDO1/7r34MX1Knju4EAEyy
 iUfpgrv+IGvmmCOzEI+wXV09h3YAuDGXH8FXUPGipRX2svLTSlx7UUjbh6hL
 LtNril43ieUWLk+0JAeuZL/oQ78KqKSy9PEQF6flnPRKtOecOX7xw3HWn94r
 MTFCy5S2uXzoI3ve/FJZbdr5BphHeZzl7GOB4hX65/ZI9dYROTr9y3BJ8Jul
 81fIs0DHX9vO7zQ0tR5GU+urcwxBOzbtfB2J2CfihJpdkognPg6V1d9eP3vi
 OVhJ9ZhoOYvkIlL5P3tUvXiduMYS9mup5MarVP2L5na/lVXM+xHw7eAi9XNT
 NwRO5vOgZ74wXeg3c7kuYtNBkcv/Uoi3U6YuHWX6SStrHL638cCRtw49NhsU
 WbmZNGrZZw/6Vz1fGBgX3tD70N6g6E5DncTmVRIqiuCaBidXgJNVQRQZktcL
 GQR6IsnNwVgXG0o/aSrmdkfXhOylf++fM6P6yOqGA1bFP+ZNmr6X3SN4d8c9
 kFcthSwrIJRApgI4AAICCsDiDhSBQSICDMdGVi8gfe3GhPr+xeMmL5SsrXtu
 +3sd35p9j+ZljbYVacfXzkbx962LsaxpAwKigkmjAM4BQgjcAkNQlOFjIkRK
 EZQUeJiIlKFhMDeNeGNR+Yhl/eDWxxe7LLMw94XN2AVXJ6L4Zw2DfG8D8rYN
 m2sQCIEiMCxwexGQZPiZDA8TIVECD5PgFhgkSrE2GMZoXsXQg0H8cWi0cmzo
 hAjAnAXq87te+B1JiLGmdXts2JTqOYRlD7xMwip/CTiArnQcMmXwMBEKFUBB
 4Belz4IRQACE3EWoqKkKDfZ0PQDgVFNr+6egB3a0g3MQSWTRs2d+dlwqK/6u
 o6owRRmcOwiIEmJ6AR9EBwFRQsTjR5WrCFnLwISWh53ncAsMeduCmzFM6gWk
 FMYsyd60ZvOvT302B5y93/FtAOBNrYchhgONwWCxEM+m4QQ4ODg0x8Ll2ASS
 U0lEqiLwMBExPY9L0wnAdqDbBkrdXlAQmNzBRDYNd7gU3KuszqR6hPMn9tsz
 SlfIx2F5laVpx4SjaTC5AwccCb2AWHQcwVAYGUtH3lbwSTqF1K0ojNFxUNOE
 WVsLb0UlbMdBanwMruoIiN/j12IJGUB+BigZ75acUtTYAoWTy8O2bQAUAqHg
 hoHsrVsgwQCGCUFmLAp6NoWHQwIWSjp6eq6hyyUjZzkwzl/KRLN5xckV+iWl
 pDBrGLR8UuGM+iAI4IYByzJhcAcyYQimM1h4YwDdkgKrvgEHlm3Fye5jeLB5
 N1oqhzGVjOOdTA4vd1536PXYj+3RzCi17NG+gd/z2SA94aKBeT7CGIgkwZpK
 IePxQqYMVRJDlS+AXTv2orxiMSbGNaSSMchSAMVeF0rdFfgRlXCyw8wMikPv
 JXq7Rz8/d/03Xvn0Ud3wyItk3ZaXQEAJlSVCKIFQ5IHedwMZLY8pIw/dstHS
 uAxlLgl1tRFc652C6awEtUbALQO27cAxNLjIlQGvv3Z8zm/ipyMvXWjt/9XR
 eQS0yLCmPEyCEPDDmUpBi95CUi8g6fPiZiyO8twwJk53YEOtij2ba7CxKgWB
 EKgFDYlMFqo59WG4otm5E3Dmne9D06ZBEx6j8WZ57onKtky9oGdjIabA5fVB
 CIdg9PWjQnJj0aLluFJwcP5qD8rdFOvv0rD76yK8MkM6q2IgmcK+zjMYydon
 z/31ybnyAXv3JyIcWUKJSDoqyDAr5hS+QAgXS0qQ++gcvLkCahdUQ13fjKC/
 FB3nzmBJqAh3R6ogSxJ6VeCpy71IG9BFxxmcq2yKEoSw6oehg0QgAIGkeB12
 86oEf7gKw/292LJoOSS3G12mCl0WoSgefGfbE8jJxUhLJfAv/hrqVt+P3pFh
 PL1xG5Mts3Q0Kf85NzUy4zOtrnsUZNfpJbeN3AGungSGksuxd+U6PL/3KfRF
 x7D56G8hlIXhUwt4prEJu5s2zYg4PhlHOBTG+a4L2veefmYbVzZ0Xv3gFzP2
 CEseCxxMDWuY7Msj2q1CHZtGA1uA3zz7c3jcHpQFiuEzHVy4cR3rXQGUu4qw
 Yn4tBEG4fYhuGtB0HZHqGhafjNWcPv23DnXqpjWDVL+vmNdscfHyZomX3Sfx
 yNpy/tG5M/xOqTmVHz7xNu/u6+FzybItPjw2wjnn/HzXBWtN88aHvtin/wCX
 Qy5OAPJpYwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -W -g -DUSE_GETTEXT

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CXXFLAGS="$(CFLAGS)" NAME="hex-a-hop" DATA_DIR="/usr/share/games/hex-a-hop"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) NAME="hex-a-hop" clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs debian/hints.html
	dh_installexamples
	dh_install
	#dh_installmenu
	# dh_installman is not yet able to install translations into <lang>.UTF-8/
	#dh_installman debian/hex-a-hop.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hex-a-hop 0.0.20070315-6maemo2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for Hex-a-hop, Copyright Oliver Pearce 2004
-NAME		= Hex-a-hop
+NAME		= hex-a-hop
 VERSION		= 1.0.0
 CC		= gcc
 DATA_DIR="."

=== debian/changelog ===
hex-a-hop (0.0.20070315-6maemo2) unstable; urgency=low

  * Use bigger font.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 15 Jul 2008 13:30:00 +0200

## hex-a-hop 0.0.20070315-6maemo3

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,10 @@
 OBJS=$(CXXSOURCES:.cpp=.o)
 
 %.o	: %.cpp
-	$(GCC) $(CXXFLAGS) -D_VERSION=\"$(VERSION)\" -DDATA_DIR=\"$(DATA_DIR)\" `sdl-config --cflags`  -c -o $@ $<
+	$(GCC) $(CXXFLAGS) -D_VERSION=\"$(VERSION)\" -DDATA_DIR=\"$(DATA_DIR)\" `sdl-config --cflags` -c -o $@ $<
 	
 $(NAME) : $(OBJS)
-		$(GCC) $(CXXFLAGS) $(OBJS)  `sdl-config --libs` -lSDL_Pango -lm  \
+		$(GCC) $(CXXFLAGS) $(OBJS)  `sdl-config --libs` -lSDL_Pango -lSDL_mixer -lm  \
 		-o $(NAME)
 
 clean :

=== debian/changelog ===
hex-a-hop (0.0.20070315-6maemo3) unstable; urgency=low

  * Initial Fremantle version.

  * maemo-select-menu-location deprecated.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue, 10 Mar 2009 13:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Martin Yerga <dyerga@gmail.com> 
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Jens Seidel <jensseidel@users.sf.net>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev
+Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev, libsdl-mixer1.2-dev
 Standards-Version: 3.7.2
 Homepage: http://www.aceinternet.co.uk/~mokona/
 XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/hex-a-hop/

## hex-a-hop 0.0.20070315-7maemo1

=== debian/tools/Makefile ===
CC=gcc
CFLAGS=-Wall -O2 `sdl-config --cflags`
LDFLAGS=`sdl-config --libs`
SOURCES=bmp2dat.c  dat2bmp.c 
OBJECTS=$(SOURCES:.c=.o)
PROGRAMS=$(SOURCES:.c=)

all: $(PROGRAMS)

%: %.o
	$(CC) $(LDFLAGS) $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(PROGRAMS)
	rm -f $(OBJECTS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp $(PROGRAMS) $(DESTDIR)/usr/bin/

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo1) unstable; urgency=low

  * Now Maemo Backup will save the configuration files.

  * Debian changes:
  [ Jens Seidel ]
  * Added Japanese translation of desktop file. Thanks to Kobayashi
    Noritada <nori1@dolphin.c.u-tokyo.ac.jp>. Closes: #445491
  * Fixed a few typos in the Dutch translation. Thanks to Roland Clobus
    <rclobus@bigfoot.com>. Closes: #456000, #456529
  * Drop XS- prefix from XS-Vcs-Svn and XS-Vcs-Browser fields in
    debian/control.
  * Fixed a crash which especially happened once lasers are involved.
    Thanks Gerfried Fuchs <alfie@ist.org> for the report and Bas Wijnen
    <wijnen@debian.org> and Roland Clobus <rclobus@bigfoot.com> for
    analysing. Closes: #443822

  [ Ansgar Burchardt ]
  * Remove Homepage semi-field from description

  [ Barry deFreese ]
  * Add myself to uploaders.
  * remove_confirmation.patch - Remove confirmation window on exit.
    + Thanks to Bas Winjen. (Closes: #441528).
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Daniel Martin Yerga <dyerga@gmail.com>  Thu, 14 May 2009 19:30:00 +0200

## hex-a-hop 0.0.20070315-7maemo2

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo2) unstable; urgency=low

  * Updated postinst to detect maemo-menu-location.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri, 15 May 2009 19:30:00 +0200

## hex-a-hop 0.0.20070315-7maemo3

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo3) unstable; urgency=low

  * Fixed: backup file with bad syntax.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri, 15 May 2009 19:30:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: hex-a-hop
 Section: user/games
 Priority: optional
-Maintainer: Daniel Martin Yerga <dyerga@gmail.com> 
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Jens Seidel <jensseidel@users.sf.net>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>
-Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev, libsdl-mixer1.2-dev
-Standards-Version: 3.7.2
+Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
+Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Jens Seidel <jensseidel@users.sf.net>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Barry deFreese <bdefreese@debian.org>
+Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev
+Standards-Version: 3.8.1
 Homepage: http://www.aceinternet.co.uk/~mokona/
 XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/hex-a-hop/
 XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/hex-a-hop/?op=log

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,34 @@
 	CFLAGS += -O2
 endif
 
+patch:
+	dh_testdir
+	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
+
+unpatch:
+	dh_testdir
+	QUILT_PATCHES=debian/patches quilt pop -a -f || test $$? = 2
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	#$(MAKE) -f /usr/share/quilt/quilt.make patch
 	touch $@
 
 build: build-stamp
 build-stamp: configure-stamp 
 	dh_testdir
 	$(MAKE) CXXFLAGS="$(CFLAGS)" NAME="hex-a-hop" DATA_DIR="/usr/share/games/hex-a-hop"
+	#$(MAKE) CXXFLAGS="$(CFLAGS)" NAME="hex-a-hop" DATA_DIR="/usr/share/games/hex-a-hop" -C debian/i18n
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	$(MAKE) -C debian/i18n clean
 	[ ! -f Makefile ] || $(MAKE) NAME="hex-a-hop" clean
+	#$(MAKE) -f /usr/share/quilt/quilt.make unpatch
 	dh_clean 
 
 install: build
@@ -34,6 +46,12 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
+	#install -p -d -m 755 $(CURDIR)/debian/hex-a-hop/usr/share/lintian/overrides/
+	#install -m 644 debian/lintian-override $(CURDIR)/debian/hex-a-hop/usr/share/lintian/overrides/hex-a-hop
+	#$(MAKE) DESTDIR=$(CURDIR)/debian/hex-a-hop install
+	#$(MAKE) -C debian/i18n install LOCALEDIR=$(CURDIR)/debian/hex-a-hop/usr/share/locale/
+	#  MANDIR=$(CURDIR)/debian/hex-a-hop/usr/share/man/
+
 
 # Build architecture-independent files here.
 binary-indep: build install

## hex-a-hop 0.0.20070315-7maemo4

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo4) unstable; urgency=low

  * Update the icon cache always in postinst.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed, 25 Aug 2009 13:02:00 +0200

## hex-a-hop 0.0.20070315-7maemo5

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo5) unstable; urgency=low

  * Fixed: "Basic controls" window mentions unavailable keys mouse. MB#5056
  * SDL cursor hidden.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Tue,  1 Sep 2009 17:31:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 Homepage: http://www.aceinternet.co.uk/~mokona/
 XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/hex-a-hop/
 XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/hex-a-hop/?op=log
+Maemo-Display-Name: Hex-a-Hop
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Hex-a-Hop
 
 Package: hex-a-hop
 Architecture: any

## hex-a-hop 0.0.20070315-7maemo6

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo6) unstable; urgency=low

  * Nicer name in the application manager. MB#5126
  * Passing maemo-optify to debian/rules.
  * Bigger icon in the application manager.
  * Enter key works for menu selection.
  * Bigger text in menus.
  * Fullscreen/Unfullscreen option working again.
  * Widescreen support (now it uses 800px of width).

 -- Daniel Martin Yerga <dyerga@gmail.com>  Thu,  1 Oct 2009 15:33:00 +0200

## hex-a-hop 0.0.20070315-7maemo7

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo7) unstable; urgency=low

  * Fixed: wrong path to the graphics data files.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri,  2 Oct 2009 12:05:00 +0200

## hex-a-hop 0.0.20070315-7maemo8

=== Makefile ===
# Makefile for Hex-a-hop, Copyright Oliver Pearce 2004
NAME		= hex-a-hop
VERSION		= 1.0.0
CC		= gcc
DATA_DIR="."
CXXFLAGS		+= -Wall -W -g
GCC =g++
CXXSOURCES	= gfx.cpp hex_puzzzle.cpp i18n.cpp
#INCLUDES	=


#############################################################

OBJS=$(CXXSOURCES:.cpp=.o)

%.o	: %.cpp
	$(GCC) $(CXXFLAGS) -D_VERSION=\"$(VERSION)\" -DDATA_DIR=\"$(DATA_DIR)\" `sdl-config --cflags`  -c -o $@ $<

$(NAME) : $(OBJS)
		$(GCC) $(CXXFLAGS) $(OBJS)  `sdl-config --libs` -lSDL_Pango -lm  \
		-o $(NAME)

clean :
	rm -f *~ $(OBJS) $(NAME)

=== debian/i18n/Makefile ===
# Copyright 2007 Miriam Ruiz <little_miry@yahoo.es>
# Copyright 2007 Jens Seidel <jensseidel@users.sf.net>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

LOCALEDIR=./

all: hex-a-hop.pot build-stamp

# xgettext fails on _("Welcome to " GAMENAME "!") (doesn't extract anything
# behind the macro, so we preprocess hex_puzzzle.cpp first
hex_puzzzle_preprocessed.cpp: ../../hex_puzzzle.cpp ../../menus.h ../../level_list.h
	cd ../..; $(CXX) $(CXXFLAGS) -E hex_puzzzle.cpp -o debian/i18n/$@

hex-a-hop.pot: hex_puzzzle_preprocessed.cpp ../../gfx.cpp ../hex-a-hop.6
	@echo Creating Template \"$@\"
# Yes, we specify both hex_puzzzle.cpp AND debian/i18n/hex_puzzzle_preprocessed.cpp
# as the preprocessed file does not contain all strings as preprocessor
# conditionals are already evaluated for the second file. We also want proper
# path references to source files (no ../.. prefix).
	cd ../..; xgettext --add-comments="TRANSLATORS:" -k_ -o "debian/i18n/$@.templ" \
	  gfx.cpp hex_puzzzle.cpp menus.h level_list.h debian/i18n/hex_puzzzle_preprocessed.cpp \
		--msgid-bugs-address=hex-a-hop@packages.debian.org \
		--copyright-holder="Tom Beaumont"
	#cd ../..; po4a-updatepo -f man -m debian/hex-a-hop.6 -p debian/i18n/hex-a-hop.6.pot
	@# lets now merge the POT files containing messages from source and manpage
	sed 's/charset=CHARSET/charset=ascii/' hex-a-hop.pot.templ > hex-a-hop.pot.templ.po
	#sed 's/charset=CHARSET/charset=ascii/' hex-a-hop.6.pot > hex-a-hop.6.pot.po
	@# The first sed commands prints only the header, the seconds inserts hex-a-hop.pot.comments
	sed -n '1,/^$$/ p' hex-a-hop.pot.templ | sed "/^#$$/ r hex-a-hop.pot.comments" > hex-a-hop.pot
	msgcat --width=79 hex-a-hop.pot.templ.po  | sed -n '1,/^$$/ !p' >> hex-a-hop.pot
	rm -f hex-a-hop.pot.templ hex-a-hop.pot.templ.po 

build: build-stamp
build-stamp: hex-a-hop.pot
	@# Merge all (old) PO files with POT file to ship up-to-date files!
	@# (it cannot happen as usual in the clean target as there are not all patches
	@# applied yet)
	@set -e; cd ../..; cat debian/i18n/languages.list | while read lang enc; do \
		echo Updating \"$$lang\" translation; \
		msgmerge --width=79 --update debian/i18n/$$lang.po debian/i18n/hex-a-hop.pot; \
	done
	@set -e; cat languages.list | while read lang enc; do \
		echo Building \"$$lang\" translation; \
		msgfmt $$lang.po -o $$lang.mo; \
		addendum=""; test -r ../hex-a-hop.$$lang.add && addendum="-a ../hex-a-hop.$$lang.add"; \
		sed -n '/^msgid_plural / !p' $$lang.po | \
		sed -n '/^msgstr\[[1-9]\] / !p' | \
		sed 's/^msgstr\[0\] /msgstr /' > plural_forms_stripped.po; \
		options=""; [ "$$enc" ] && options="-L $$enc"; \
		#po4a-translate $$options -f man -m ../hex-a-hop.6 -p plural_forms_stripped.po $$addendum -l ../hex-a-hop.$$lang.6; \
	done
	rm -f plural_forms_stripped.po # see bug #439842
	touch build-stamp

clean:
	rm -f *.mo
	rm -f hex_puzzzle_preprocessed.cpp
	rm -f build-stamp
	@cat languages.list | while read lang enc; do \
	  rm -f ../hex-a-hop.$$lang.6; \
	done

install: build-stamp
	@cat languages.list | while read lang enc; do \
		echo Installing \"$$lang\" translation; \
		install -p -d -m 755 $(LOCALEDIR)$$lang/LC_MESSAGES ; \
		install -m 644 $$lang.mo $(LOCALEDIR)$$lang/LC_MESSAGES/hex-a-hop.mo ; \
		encdir=""; [ "$$enc" = utf-8 ] && encdir=.UTF-8; \
		#install -p -d -m 755 $(MANDIR)$$lang$$encdir/man6/ ; \
		#install -m 644 ../hex-a-hop.$$lang.6 $(MANDIR)$$lang$$encdir/man6/hex-a-hop.6 ; \
		#gzip -9 $(MANDIR)$$lang$$encdir/man6/hex-a-hop.6; \
	done

=== debian/changelog ===
hex-a-hop (0.0.20070315-7maemo8) unstable; urgency=low

  * Fixed really: wrong path to the graphics data files.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri,  2 Oct 2009 12:35:00 +0200

=== debian/control ===
Source: hex-a-hop
Section: user/games
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Jens Seidel <jensseidel@users.sf.net>, Sam Hocevar (Debian packages) <sam+deb@zoy.org>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 5), quilt, gettext, libsdl1.2-dev, libsdl-pango-dev, maemo-optify
Standards-Version: 3.8.1
Homepage: http://www.aceinternet.co.uk/~mokona/
XS-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/hex-a-hop/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/hex-a-hop/?op=log
XB-Maemo-Display-Name: Hex-a-Hop
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Hex-a-Hop

Package: hex-a-hop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: puzzle game based on hexagonal tiles
 Hex-a-hop is a great puzzle game in which a girl has to break all the green
 tiles in an hexagonal map without getting trapped. There is no time limit and
 no real-time element.
 .
 The objective is simply to destroy all the green hexagonal tiles on each of
 the 100 levels. As you progress through the game, more types of tiles are
 introduced which make things more difficult and interesting.
 .
  Homepage: http://www.aceinternet.co.uk/~mokona/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9kJGQ8ZESMIU/QAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAATc0lEQVRo3s2aeZRcxX3vP1V36WWmu6d79tFoH2k0ErKEJCQh
 Ca0gFtvCEiC/CFsk+GDHwTkvsRPHCfaxc+y8vGOMnWM/Ow8cUCwSE7ARlsAY
 jAQWAgQGBGhF24xm32e6p9e7VeWPEQKFRSLv8JI6p8+tU7eq7u/72+tXzfot
 9/NRtatvfuBcf9q8awD4xMf/UdbUN1clG2c0ltfUNaSqJicf3qYFwIatD/7n
 PrR+y/1cffO/fCTEr9/yc1Z88jsAXBG/3qiYOuOO+OplZ2LXrCyWX72iEFu1
 +FBZQ8OfzGeNDXDlp//pQ31HvAVACMGT//oZPspW0TznSbVi5vpwrIygowut
 NXLaZLyiF7D3jd/UZRs3tZcOeKWBoQ8H4P9HK6+u/UPWzttmG5YnXjr5SjiI
 3+35bsiv8P7UWH7JHK8sKuSeI0+NvPHKeoCGllX0HNvLf4uWtGuaoqsXZZK3
 3RjUtcy/853vtl7zeLh21vz/XXXLJp247UadmDT1rg+zt/FREr7uxvtIiZQc
 Lu/9urVm0SqeOtAxJ3bN5vae/d7yDV/HDIXY+/y3/dnT/+CZ9KmXk6Jl4pKg
 3P5YuDv/kuPk2/5Luf6WEcfrZlQvuP7a03M2X6erJ83/LEDL4hvfNX/x/L+q
 LG9uam/45pd04tJLHqhNzLUA1m7efuGPbbj1Fx8ZkIbZl61bdstNetKiy5z3
 mzNp9lUA1DYuunXqxvV61g3XpSM1E+tXbfzxBfeXG279hbHrvps+MgBaqC1K
 agKX93XyE6asAaC/65X7iqcHHw8bJOLJ+Iq9j9x+YQC77rsp+OQfPfS+E1Zu
 uu8d/XsuoDbvDoqloLC0PZtFEX58XCXufdec/Y//zdsE+fb/KcPENPUX/584
 t3Ljj0lMmPr+wW/zzy7Ofc5oypdftVw3zrmi8YLq1nwF4WRDauH1nxiYtvRS
 PXfhd8JvvbvhC4/85+JA9cKb5pfSx/9EwunEpMvv7Xjm7vOizILlf1rf0/vi
 TY6TaQ78UlH7pWNmqHymqwozLbuspRRTzUZDLcbR/tckcqf21POp2vnFtkOP
 PP/OfWYvu42jL/yUidPWRWRd4RfRVOjjA68N3jDcfWTHps/vYMc9my4eQOXE
 FoY7j9E4ZeH6ZZLH1o6ErZ3ZExyJBrjlyV+GjcjX8jbhgpe+wwupm3RVzCRW
 jpAG2nHB9xEoQvEYQa6ozepKDM8Txf4BglwBXXQxCWEooyNsVfzS1pGf1Ec/
 1nbg4N0KoHza1Duql8z+zui+Yz9Pd7Xe/JYEHr5744UBTJ57Le2HfsPk2WvX
 fFyz81vzro2ZvzuqdzsddGaHOaky4sGqHIUJSURTI9b0KRipJCIUAiFQpSK6
 4KAdhyCbQ+VyaM9FlpUh43FkJIxAagJP6Fwer28A2ZPOhnrdn00Jr/jr1478
 Yy5VO32Le/mkbeLA6VPZjo45F51KLLryq7yy+7sAXD7xksz2SVfFa0+PaS9f
 FBntsqN4kh81DDGwZh7mxAkY1VVa2JYQCAwBAomQoJQGpdFKIdEQaLQhwTCI
 WhYx0yYkDLTWjDoFncuMimJbF3LPofZpqauX9p3Zm0rP0M/LdLZ0WcXtLXuf
 +3L6Q+VCVRNb9mwvm7v2it6w7sgOid108ZQxwJOLU5Rdu5ZQZTUh0yQsDIQQ
 CCEIGRIbEwR4KkBKgUQghUDr8TGExpYGEoGJRCNQaFwVkFW+Hu3vFe4v9/ZV
 jk24vjf05q+QgTUxN2fBidO7Ot8PgPmu3KJl6eWf7M0uWZG29WBuROwR3Rww
 MjyzqJKaT3+Kaal6NJqkZZPxPHytMIRACok+yxFpWGfZc5Y/WoM0MKRByDCJ
 ShMtNKUgoBD4CA2mIUSycYrObonWDT/23DZ5ohhRExNipPtEHXDxAGLZ4Wuv
 K9SVKb+oz4g8Q5R4rDJH5LoNzKqaQMy0KDcsbEMy6pYwpUAoEJJxlRGSsJSE
 pIktDcoMA1tKtABbGFSEwsRNG42m4Pu4KmDILdFeyFAIlIhXV2Ndv2Z227Zu
 VMjO+8Fo4oNs4DwAdTfcZei936+tUjbDwhWn9RjPmEPkVs9n1uSppGybrO9j
 S0nGcTGlgSEFphznvmUYRA2TpB2mLhylNhQhapiEDBNDCBSKkDSJmzamlJQC
 n6zvMua5NIaj9BULFAnotcMM3PQJcgcORZQcnAXsvigAlQ2LVa8Uxb30Uakt
 3aOy4ui0OInVVyCUpqOQw0BS8DxMQ2IJidZgCEGFZTMlGiNmhZACQtLEFAYK
 yPs+Bpq4bSOEYMgpkLDCRE2DcrOM+lCUadE4rfkxQqZJ2nOoEgY7X3xFEJbl
 F51OD/5+G7Gpi9oPej0bRtzhREYGdH7u41pVxETOc1FoQobBuNeRSDkOojYU
 YV6iimllCUa8Er3FPP1OgWGvyIBbYtQt0eUUGHYdRhyHvlKegvJxVEDGdcgG
 LgJBSQVoYFIkxqWVtRxsPSG6OzvHKoLUzumX/UEw0PHyuyWwdvN2nn5o6/jB
 Y8ocBg4/fQyYlJux+MtFY+ibkVQ8LpQiAHK+R0gaJCyDQGuk0iTDYWYnUlSH
 ouwb6aE1P8aQWyJu2kSlhRCaiGkREpJBtwgaKqwQ2cDnZC5DUfmEpYklJQnL
 Iut7WEISMi3C8QRmIrHJluVNh/f95AjAqhvuP+sXNM/u2Ip8+qGtrNt8P1dv
 2c7omSOs2zyevMmR9E9lItaLIdGFItr3UVqjx5cTqABbSurDUbSGX/edYe9Q
 DwfHBhlyijha4RJQZthMK4szIVxOWBoUAp9T+TGO59IMuEWKQUBXMUdrYYzW
 XJY3s2meHe7lhZF+hkNS+5aPklwNsPi6u9j78GfPc/8SQAlEyR33eXseunVc
 t5JVTdHqquZotAy3uw/8AKU1iLOrhSZsmERNk5dH+nktM0hfXw+e45EKRYhI
 k7A0aIyWYQmD7lKOzlKevApwVUAxCEj7HoNOiVzg01vMM6Y8hICC7+P5Pmaq
 UghTUCoOXQvw+8e/ch73V27ajrl683aeefCzejxd3o4QAXsf/iOwjUuj1Qli
 obAeKRXHo9HZxRqNgUBK6CsWOJYfZTQ9ipcdozJVSdIKo4GkHcaUktZ8hqPZ
 ERytSRgWab8EaMqNEHErBGeDWcZ1CJsGo14RhKY8Wka0rhavq/3Kt1P67Ty7
 Y6s++0T+7qz+Azy7Y+s48YDSxaWh6hSFYlFo3wel0ECgNYrxfskPOJ5Pk/Uc
 SkODWMkktZEYA06BonKxhUFHIcehzBBdxSyBDujKpxkcHWZ0LENPPsOwW0Tp
 8f20Bj9QOJkM6XwWZRqYjRNQIcWStf+r/i0a3/mU/9Gq56+9AwBPF2aNRCzG
 fBfteijXRQuNqxQK0FpRVD4jbolsXy/4PsmKFFLCkFPAEgZp3+FkLk2fk0e7
 LoMd7aSPHqX45nFKJ07gdXcxmstQUAElHaAEDLklSqOj5DMZAkNS3tioPeEz
 PPRGw0VF4tef/jsAAqWuEJEwhm0jTQtdcs4ar2bcFCRSCFynhHOmnciUKaQi
 ZfQ7hXH5aEFfqUBnMYufz+F196D7+2FkjLDrItH4kSiFXIHBlll4UkIY0sU8
 3uAgKp9ntKYGhRaGYWGFKscuCgDA8ut+mHr15F1YtgVoUD5BvoCpNL5QaC0w
 TROJIGzaSDsE4TDd3V2UTEE4FqOgPIacIl6pQNDZid1uY/U0sGpamFQpTTJs
 U/B9Xmo9zRuREKmmJvK+R2agT+v2LuG7AYPxGFpKDEeXjh36ycmLBjDYd2BG
 YCqEZWlAaCFQ+TwoRSA1wdl5vlaEwmEwDLL7f4/IZdEVCYKZTXQ1NuJLgSiW
 qDomGXr9BSZP/xq1tSeZXKmYFfE53dlDo+cR7+1n/8RG3FKJ0rMvCuP08HGL
 6P91+vd8S4dFwnKNb190MgeglCcxBFojhBAY5eWosSz4isAMcFSAFAKEwBMC
 t72D/6ECkuVRfvXyYbpHRhHrY5QNjLHJXsNt313OV79xC+3th1m25i+4fmEW
 fXI/c2ZMBSHYYpnc/MLrHOjNUdXtM5jPPpAfbP+Hb/yh/uG2Z6+as7DpK4d/
 m7+V4mDvu6sS7wUgM3p8iUjExv291hjJCoJCgWAsAwjyvouvNWhNSflUJipo
 rq/h8VffZOONW7DPdHF5+xB/27Ke733zZma11BEORYGA4aEibnYEDdRUJKhJ
 xKmIRnho1QKWdn8KQW3ekPaLAN/+Z6G6Wncf2rn7Wj191s0XLwGtvJhZVzd+
 TFQBMlqGsG3cnj6M6kpKgUch8ImZFp5WVBQK1EycytyW6dx26xfYvPFG5s2b
 z5PPneb+B3ro7LqbZ/b8jtlzl4EA6ZXOxZS3zgvJqipyuSpd8g47ycrLjhf6
 Hz2PpsP7vvcuOpdtuAe5ZvND5w2M65DQGAIkaECGTGQ4TNA/QDA8iocm7RVx
 tSJQGsOQKBXwhQ3rGBns5fJlVxAtixGOa37wk1b+7cGdZDMlqmoXE4q4DA30
 IIR8G4CAXNEFXhWZsdyx7qOPnvmgDHT59T9l2YZ7xAu7Po9x5sjbZcXO4+Oo
 o4m6df7kslWhaVO1VkqAQI2N4bd1oD0Ps64GJSSBDsiqAO9UG5eogNrKFK/s
 30tb1wCV9RNZ0NJENOGxZvliOnpqyLOCOVOe49IKhWWOH0cLjotlmmjH5VDr
 Dg6e0Y/4+eEn7IRJ4Kj3BNB5/FE6jz/Ksg33YO742OzHR4V5KIeR/pqx8AfF
 A/9UMszyl43hDNV2RAz4PsqQmJUpnLCF39mNP3kiorGBYTcAKRmdWM9IZyfD
 6TSbVl6GKTye+tmd6NQkEpNmcd+DedpH57JxwQ42Tq4laptorbFNkz0vH+YT
 Ky4lGg7pI+2DIlHRtKPUfwI3439gvWrB+u/ywq7PI/bNm6ZN4EjBY0+J1t+H
 L2kJrNiMkbJDh2f/+Rfpyo5RCFzUWJbS64fx2s5gz51DZO5shG1hCInruKx+
 7NdcPn0KLdMns3TubGLRCEIrco6Dh49lQMIup+Qr9Lh7Q2uNZRoESvPbw8f5
 4x/tcAaOHw9fbPVw4dV3CtMIBEEAZ9I5LUpO7HT2tSj0HYm1NDui4IQSdgin
 FEAkgkwloacHv6MDv7GB2IQGZpWncAQcq66lobcP0JRFIsxrbsKUkpBlEcYG
 oOgF5xJhKcaDoW1IHnnpNf76hVfxie76cAVQA3NnZY7sFEl+Trko6kTk5sui
 3ylP1D75qy+NtDtDIzNrJjViS8mAYaAnNOD39xG0duB291I1dQZNZQlsKTl9
 5bXQ3sWpo6/hHHgD2zT5WPN0PKUwBefKLwDSEDz10uvksnmebOvg6WRKF2RY
 mEZo28Vz//u8+uSXtey9s4LcH8dheZT4ilC5afm3O6XSrqlrg5nDrZ16QriM
 KZE4jdE4tmUhwhHwfLzjJygDDCGJSIMFDY2MTajn6z/+OXbzErY/vZ+Hdj9P
 W08/WccZL3adPQwVSg4zmqbzbz2DPB6vwG9uEtZoUTnpzDGAqZfeeEEAoVDF
 uAzmb636llDjKc/4b5xLVhhaXyqJS+cvIRYKM+Y5DAwP4AwMonI5grZ2SokY
 scZGnMCnpBTDQrH/1Ze468/uoKJxGs8fO8X+Y60c7R6gJ5OndzRL0SxjNFyD
 OW0RJ8bGOBgP4ZxuY5IdEQyPOJmhgd3pzFH4YBum8/hOlm247z0C2VkdLau2
 iIa6eL2rndUzWwgQlPJ5lO9j2iH++Yf3suvEQZ449jo1DY3ELIvaUJTOWJg7
 /+Ve/vIzn6O5aSadXZ0UigVCtk1NdQ1VVdVEIlEMKVl+6k1+/egDbPvcn+uK
 eIX4159t+6vvd2X3k23fWTtjFf0nL3xLKW7Z16zfF+W+UV46OIcrNn6aE22n
 6Dp4kAYF937xa6xduYY3O8+w9O++gpzdDJZFxLRoKk9SGBri7nU3sGD2Je99
 a3PWCw0PD3HyTCtLFy4G0KPpEbFy/fqOwy8PzYL24kWZ8fxbq771XlIQBiQm
 RxjZ18bBbp+h9jbmijA7//YHLFpwGVprUuVxRrq6eHmwm2hFCgH0tbURSabY
 f+oYKxumUhFPnCP43PZn+0orkvEEkUgErbWIRKK6MlUR++1zuzNOw+j+OZe4
 DLY/98FXTOcIluNEaw3OmE//4Txnnh8jVq/Qe5+mbiTHP9z+VWbOnHUuBTAM
 g6/ffBsT+kZRuTGa41U4/X0c2bWT537zGKv/5nYy6fR5xJ93e1NWzpETb5Ir
 5N6aI65ed5Vx1eqVX6K9Ptl6+MJ/OzCVr8l0O+SHPHL9LoVRD6+oEW+JGkFV
 ncf/vOZGVi1feR43tdZUJBI89o3vseIbt3OoUML3As789GFqKpJ0dncSKYt+
 IAErlizjiaef4pq14zeVFRVJrrly5ZQDh9o+03Zo348ueMlXGPY4/sQIXa9m
 GWkrketzyfe7jHWVGD1doPOVMerlLG75zNbzxP/ONn3CRB77yrepOt1BrRsw
 sb6BUCRCU9NMbMt+O2l7D1sAmFBfz8Dw4LnhTZ/aSENt6O/Nuo0xgHnr/v79
 Ecy/vULVrrB09RJTVy02dOVCQ6cWSF25wNSV85O6fmatfvKpJ/QHtf7+Pq2V
 0l19PfrF1w9orbVWSumLbelMRh88evidQ+qBXzygzWTt9y4kgX8HWSx9pJBf
 pKsAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	touch $@
 
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE) CXXFLAGS="$(CFLAGS)" NAME="hex-a-hop" DATA_DIR="/usr/share/games/hex-a-hop"
 	#$(MAKE) CXXFLAGS="$(CFLAGS)" NAME="hex-a-hop" DATA_DIR="/usr/share/games/hex-a-hop" -C debian/i18n
@@ -39,12 +39,12 @@
 	$(MAKE) -C debian/i18n clean
 	[ ! -f Makefile ] || $(MAKE) NAME="hex-a-hop" clean
 	#$(MAKE) -f /usr/share/quilt/quilt.make unpatch
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_clean -k
 	dh_installdirs
 	#install -p -d -m 755 $(CURDIR)/debian/hex-a-hop/usr/share/lintian/overrides/
 	#install -m 644 debian/lintian-override $(CURDIR)/debian/hex-a-hop/usr/share/lintian/overrides/hex-a-hop
@@ -60,7 +60,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_installdocs debian/hints.html
 	dh_installexamples
 	dh_install
@@ -74,6 +74,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## hex-a-hop 1.1.0%2Bgit20140926

=== debian/changelog ===
hex-a-hop (1.1.0+git20140926-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:26:25 +0100

hex-a-hop (1.1.0+git20140926-1) unstable; urgency=medium

  * Team upload.

  [ Paul Wise ]
  * Add myself to uploaders
  * Fix homepage to point at adoptive project (Closes: #563187)
  * Use the same description as in the new upstream README
  * Add a watch file
  * Wrap uploaders, build-deps and deps one per line
  * Drop hints, icon, manual page, desktop file, tools; merged upstream
  * Drop patches; merged upstream
  * Switch to dpkg-source version 3.0
  * Correct Vcs-* URLs (Closes: #718656)
  * Add upstream info
  * Add sound support
  * Split the data into a separate package
  * Put the data into a subdir of /usr/share/games

  [ Markus Koschany ]
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.2.
  * Drop deprecated menu file and xpm icon.
  * New upstream Git snapshot. (Closes: #567911)
    - The game can be compiled from source again. (Closes: #876600)
    - The original compiler warnings are fixed upstream. There are new ones
      though. Thanks to Russel Coker for the report and patch. (Closes: #550583)
    - Patch to allow editing is merged upstream. Thanks to Russel Coker for the
      report and patch. (Closes: #550585)
  * Install new hicolor icons provided by Ronny Standtke. Thanks!
    (Closes: #724862)
  * Update debian/copyright and use copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Mon, 25 Dec 2017 15:24:56 +0100

hex-a-hop (0.0.20070315-8) unstable; urgency=low

  [ Barry deFreese ]
  * gcc_4.4.patch - Fix invalid char * conversions. (Closes: #560483).
  * Add README.source for quilt.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 12 Dec 2009 11:31:53 -0500

hex-a-hop (0.0.20070315-7) unstable; urgency=low

  [ Jens Seidel ]
  * Added Japanese translation of desktop file. Thanks to Kobayashi
    Noritada <nori1@dolphin.c.u-tokyo.ac.jp>. Closes: #445491
  * Fixed a few typos in the Dutch translation. Thanks to Roland Clobus
    <rclobus@bigfoot.com>. Closes: #456000, #456529
  * Drop XS- prefix from XS-Vcs-Svn and XS-Vcs-Browser fields in
    debian/control.
  * Fixed a crash which especially happened once lasers are involved.
    Thanks Gerfried Fuchs <alfie@ist.org> for the report and Bas Wijnen
    <wijnen@debian.org> and Roland Clobus <rclobus@bigfoot.com> for
    analysing. Closes: #443822

  [ Ansgar Burchardt ]
  * Remove Homepage semi-field from description

  [ Barry deFreese ]
  * Add myself to uploaders.
  * remove_confirmation.patch - Remove confirmation window on exit.
    + Thanks to Bas Winjen. (Closes: #441528).
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Mon, 06 Apr 2009 14:33:29 -0400

## hex-a-hop 1.1.0+git20140926

=== CMakeLists.txt ===

################################################################
# Project hex-a-hop
#
# run cmake with:
# cmake -DCMAKE_INSTALL_PREFIX=./local \
#       -DCMAKE_BUILD_TYPE=Release ..
################################################################

project(hex-a-hop)

# version number
set(hah_MAJOR 1)
set(hah_MINOR 1)
set(hah_PATCH 0)
set(hah_VERSION ${hah_MAJOR}.${hah_MINOR}.${hah_PATCH})
set(hah_DESCRIPTION "Puzzle Game")
set(hah_HOMEPAGE "http://hexahop.sourceforge.net")
set(hah_EXENAME "hex-a-hop")
set(hah_PACKAGENAME "Hex-a-hop")

# Minimum cmake version required
cmake_minimum_required(VERSION 2.6.2)


################################################################
# configure header files, add compiler flags
################################################################

add_definitions(-Wall)

if(APPLE)
	add_definitions(-DRELATIVE_PATHS)
endif(APPLE)

# Need these modules to do subsequent checks.
include(CheckIncludeFiles)

# check if header file exists
check_include_files(libintl.h HAVE_LIBINTL_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(memory.h HAVE_MEMORY_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(string.h HAVE_STRING_H)
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(windows.h HAVE_WINDOWS_H)

# On windows systems the math library is not separated so do not specify
# it unless you are on a non-windows system.
if(NOT WIN32)
  find_library(HAVE_LIBM NAMES m PATHS /usr/local/lib /usr/lib)
  if(NOT HAVE_LIBM)
    message(FATAL_ERROR "Cannot find required math library")
  endif(NOT HAVE_LIBM)
else(NOT WIN32)
  set(HAVE_LIBM)
endif(NOT WIN32)

# create config.h
configure_file(
  ${CMAKE_SOURCE_DIR}/src/config.h.cmake
  ${CMAKE_BINARY_DIR}/src/config.h
)
include_directories(${CMAKE_BINARY_DIR}/src)

add_definitions(-DHAVE_CONFIG_H)

################################################################
# Find needed libraries
################################################################

# find OpenGL headers and library
find_package(OpenGL REQUIRED)
include_directories(${OPENGL_INCLUDE_DIR})

find_package(SDL REQUIRED)
include_directories(${SDL_INCLUDE_DIR})

find_package(SDL_mixer REQUIRED)
include_directories(${SDLMIXER_INCLUDE_DIR})

find_package(SDL_ttf REQUIRED)
include_directories(${SDLTTF_INCLUDE_DIR})

################################################################
# game executable
################################################################

# source files
set(
  hah_SRCS
		src/gfx.cpp
		src/gfx_list.h
		src/hex_puzzzle.cpp
		src/i18n.cpp
		src/i18n.h
		src/level_list.h
		src/menus.h
		src/packfile.h
		src/savestate.h
		src/sfx.cpp
		src/sfx.h
		src/state.h
		src/system-directory.c
		src/system-directory.h
		src/system-relative.c
		src/system-relative.h
		src/text.cpp
		src/text.h
		src/tiletypes.h
		src/video.h
)

set(
	hah_data
		data/emi.dat
		data/font.dat
		data/gradient.dat
		data/icon.bmp
		data/levels.dat
		data/map.dat
		data/map_top.dat
		data/music-ending-nonfree.ogg
		data/music-game-nonfree-1.ogg
		data/music-game-nonfree.ogg
		data/sound-builder-nonfree.ogg
		data/sound-collapse-nonfree.ogg
		data/sound-crack.ogg
		data/sound-death.ogg
		data/sound-explode-big.ogg
		data/sound-explode-small.ogg
		data/sound-floater-enter.ogg
		data/sound-found-antiice-nonfree.ogg
		data/sound-found-jump-nonfree.ogg
		data/sound-ice.ogg
		data/sound-laser.ogg
		data/sound-lift-down-nonfree.ogg
		data/sound-lift-up-nonfree.ogg
		data/sound-spinner-nonfree.ogg
		data/sound-trampoline.ogg
		data/sound-used-antiice.ogg
		data/sound-used-jump.ogg
		data/sound-win.ogg
		data/tiles.dat
		data/tiles_reflect.dat
		data/title.dat
)
		
set(
  hah_RSRCS		
		data/hex-a-hop.icns
)

if(APPLE)
	add_executable(
		hex-a-hop MACOSX_BUNDLE
			${hah_SRCS}
			${hah_data}
			${hah_RSRCS}
	)

	# Mac OS X bundle specific settings
	set(MACOSX_BUNDLE true)
	set(MACOSX_BUNDLE_BUNDLE_NAME hex-a-hop)
	set(MACOSX_BUNDLE_INFO_STRING "hex-a-hop ${hah_VERSION}")
	set(MACOSX_BUNDLE_LONG_VERSION_STRING "${hah_VERSION}")
	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${hah_VERSION}")
	set(MACOSX_BUNDLE_BUNDLE_VERSION "${hah_VERSION}")
  set(MACOSX_BUNDLE_ICON_FILE hex-a-hop.icns)
  
  # paths for data files in bundle
  set_source_files_properties(
    ${hah_RSRCS}
    PROPERTIES
      MACOSX_PACKAGE_LOCATION Resources
  )
  set_source_files_properties(
    ${hah_data}
    PROPERTIES
      MACOSX_PACKAGE_LOCATION Resources/data
  )  
else(APPLE)
	add_executable(
		hex-a-hop
			${hah_SRCS}
	)
endif(APPLE)

target_link_libraries(
	hex-a-hop
		${SDL_LIBRARY}
		${SDLMIXER_LIBRARY}
		${SDLTTF_LIBRARY}
		${OPENGL_LIBRARIES}
		SDLmain
)


#####################################################################
# Installation
#####################################################################

# executable
install(
	TARGETS hex-a-hop
		RUNTIME DESTINATION .
		BUNDLE DESTINATION .
)

# copy SDL frameworks into app bundle for Mac OS X
if(APPLE)
	INSTALL(DIRECTORY /Users/smekal/Library/Frameworks/SDL.framework
					DESTINATION hex-a-hop.app/Contents/Frameworks)
	INSTALL(DIRECTORY /Users/smekal/Library/Frameworks/SDL_mixer.framework
					DESTINATION hex-a-hop.app/Contents/Frameworks)
	INSTALL(DIRECTORY /Users/smekal/Library/Frameworks/SDL_ttf.framework
					DESTINATION hex-a-hop.app/Contents/Frameworks)
endif(APPLE)


#####################################################################
# Package
#####################################################################

# CPack version numbers for release tarball name.
set(CPACK_PACKAGE_VERSION_MAJOR ${hah_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${hah_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${hah_PATCH})

# To Create a package, one can run "cpack -G DragNDrop CPackConfig.cmake" on Mac OS X
# where CPackConfig.cmake is created by including CPack
# And then there's ways to customize this as well
set(CPACK_DMG_VOLUME_NAME "hex-a-hop")
set(CPACK_BINARY_DRAGNDROP ON)
include(CPack)


################################################################
# summary
################################################################

message( "" )
message( "Summary:" )
message( "  CMAKE_SYSTEM_NAME = ${CMAKE_SYSTEM_NAME}" )
message( "  WIN32 = ${WIN32}" )
message( "  UNIX = ${UNIX}" )
message( "  APPLE = ${APPLE}" )
message( "  CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}" )
message( "  CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}" )
message( "  CMAKE_OSX_ARCHITECTURES = ${CMAKE_OSX_ARCHITECTURES}" )
message( "  CMAKE_GENERATOR = ${CMAKE_GENERATOR}" )
message( "  OPENGL_INCLUDE_DIR = ${OPENGL_INCLUDE_DIR}" )
message( "  OPENGL_LIBRARY = ${OPENGL_LIBRARY}" )
message( "  SDL_INCLUDE_DIR = ${SDL_INCLUDE_DIR}" )
message( "  SDL_LIBRARY = ${SDL_LIBRARY}" )
message( "  SDLMIXER_INCLUDE_DIR = ${SDLMIXER_INCLUDE_DIR}" )
message( "  SDLMIXER_LIBRARY = ${SDLMIXER_LIBRARY}" )
message( "  SDLTTF_INCLUDE_DIR = ${SDLTTF_INCLUDE_DIR}" )
message( "  SDLTTF_LIBRARY = ${SDLTTF_LIBRARY}" )
message( "" )

=== debian/changelog ===
hex-a-hop (1.1.0+git20140926-2) unstable; urgency=medium

  * Team upload.
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove unnecessary get-orig-source-target.
  * Remove Sam from Uploaders (Closes: #1011579).

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 20:38:01 +0000

=== debian/control ===
Source: hex-a-hop
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>,
 Miriam Ruiz <little_miry@yahoo.es>,
 Jens Seidel <jensseidel@users.sf.net>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-pango-dev,
 libsdl1.2-dev,
 po4a
Standards-Version: 4.1.2
Homepage: http://hexahop.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/hex-a-hop
Vcs-Git: https://salsa.debian.org/games-team/hex-a-hop.git

Package: hex-a-hop
Architecture: any
Depends:
 hex-a-hop-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: puzzle game based on hexagonal tiles
 Hex-a-hop is a great puzzle game in which a girl has to break all the green
 tiles in an hexagonal map and step onto a safe tile without getting trapped.
 As you progress through the game, more types of tiles are introduced which
 make things more difficult and interesting as you progress through the many
 levels. You can use the infinite undo feature to retrace your steps if you
 make a mistake. You can take as long as you like to complete each level.

Package: hex-a-hop-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Replaces:
 hex-a-hop (<< 1.1.0+git20140926-1~)
Breaks:
 hex-a-hop (<< 1.1.0+git20140926-1~)
Description: graphics, audio, levels and translations for Hex-a-hop
 This package contains graphics, audio, levels, docs and l10n for Hex-a-hop.
 .
 Graphics included are the background, icons, map layers, tile images,
 title graphics and movement animations of the heroine. Audio included
 are the music and sound effects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/games \
		--datadir=/usr/share/games/hex-a-hop
